Subject: Re: [media-types] Application/alto-* Media Types Registration Request for second document draft-ietf-alto-unified-props-new

From: "Randriamasy, Sabine (Nokia - FR/Paris-Saclay)" <[email-masked]>
Date: Tue, 25 Jan 2022 13:55:49 +0000

Hello Alexey,
We have posted a revision v22 that addresses the DISCUSS points raised in Francesca's review. In particular, regarding the IANA registration, we would like to have your feedback.
It is available at https://datatracker.ietf.org/doc/draft-ietf-alto-unified-props-new/

We have updated the IANA sections 12.1 and 12.2  accordingly, under the guidance you provided for CDNI and this draft.

We look forward to having your feedback,
best regards,
Sabine and co-authors,

From: Alexey Melnikov <[email-masked]>
Sent: Tuesday, December 14, 2021 9:24 PM
To: Qin Wu <bill.wu=[email-masked]>; [email-masked]
Cc: [email-masked]; [email-masked]; Francesca Palombini <[email-masked]>
Subject: Re: [media-types] Application/alto-* Media Types Registration Request for second document draft-ietf-alto-unified-props-new

Hi Qin,

The comments I’ve sent on the other registration apply to this one as well.

Best Regards,

Alexey
On 03/12/2021 11:33, Qin Wu wrote:
Hello,
Here is the registration request of application/alto-* Media Types defined in section 12.1 of draft-ietf-alto-unified-props-new:
https://datatracker.ietf.org/doc/draft-ietf-alto-unified-props-new/
https://www.ietf.org/archive/id/draft-ietf-alto-unified-props-new-21.txt

I’ve included the details below.

Note that this document has already entered into IESG review phase. Francesca Palombini kindly reminds us and the authors of this draft to
send the media type registrations to the media-type mailing list for review before the document moves forward. Thanks Francesca.

-Qin (on behalf of chairs)
12.1.  application/alto-* Media Types

   This document updates the IANA Media Types Registry by registering
   two additional ALTO media types, listed in Table 1.

         +=============+=========================+===============+
         | Type        | Subtype                 | Specification |
         +=============+=========================+===============+
         | application | alto-propmap+json       | Section 7.1   |
         +-------------+-------------------------+---------------+
         | application | alto-propmapparams+json | Section 8.3   |
         +-------------+-------------------------+---------------+

                   Table 1: Additional ALTO Media Types.

   Type name:
      application

   Subtype name:
      This document registers multiple subtypes, as listed in Table 1.

   Required parameters:
      n/a

   Optional parameters:
      n/a

   Encoding considerations:
      Encoding considerations are identical to those specified for the
      "application/json" media type.  See [RFC8259].

   Security considerations:
      Security considerations related to the generation and consumption
      of ALTO Protocol messages are discussed in Section 15 of
      [RFC7285].

   Interoperability considerations:
      This document specifies formats of conforming messages and the
      interpretation thereof.

   Published specification:
      This document is the specification for these media types; see
      Table 1 for the section documenting each media type.

   Applications that use this media type:
      ALTO servers and ALTO clients either stand alone or are embedded
      within other applications.

   Additional information:
      Magic number(s):  n/a

      File extension(s):  This document uses the mime type to refer to
         protocol messages and thus does not require a file extension.

      Macintosh file type code(s):  n/a

   Person & email address to contact for further information:
      See Authors' Addresses section.

   Intended usage:
      COMMON

   Restrictions on usage:
      n/a

   Author:
      See Authors' Addresses section.

   Change controller:
      Internet Engineering Task Force (mailto:[email-masked]).

_______________________________________________

media-types mailing list

[email-masked]<mailto:[email-masked]>

https://www.ietf.org/mailman/listinfo/media-types